This is a Laravel 5 package that provides campaign management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `campaign/campaign`.

    "campaign/campaign": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Campaign\Campaign\Providers\CampaignServiceProvider::class,

```

And also add it to alias

```php
'Campaign'  => Campaign\Campaign\Facades\Campaign::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Campaign\Campaign\Providers\CampaignServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Campaign\Campaign\Providers\CampaignServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Campaign\Campaign\Providers\CampaignServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Campaign\Campaign\Providers\CampaignServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Campaign\Campaign\Providers\CampaignServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Campaign\Campaign\Providers\CampaignServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


